﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MessageWorkflow.Graph
{
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", 
        Justification = "Conflict with silverlight"), 
     System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2237:MarkISerializableTypesWithSerializable", 
        Justification = "Serializable attribute is not required anymore")]
    public class RecursivePathException : InvalidOperationException
    {
        public RecursivePathException() { }
        public RecursivePathException(string message) : base(message) { }
        public RecursivePathException(string message, Exception inner) : base(message, inner) { }    
    }
}
