﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace MessageWorkflow.Handler
{
    public interface IWorkflowHandler
    {
        bool CanHandle(Type type);

        IAsyncResult BeginHandle(AsyncCallback callback, object message);

        void EndHandle(IAsyncResult result);
    }
}
