﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MessageWorkflow.Handler;

namespace MessageWorkflow
{
    public class HandlerSubscribedEventArgs : EventArgs
    {
        public HandlerSubscribedEventArgs(WorkflowHandlerConfiguration configuration)
        {
            if (configuration == null)
                throw new ArgumentNullException("configuration");

            this.Configuration = configuration;
        }

        public WorkflowHandlerConfiguration Configuration { get; protected set; }

        public IWorkflowHandler Handler { get { return Configuration.Handler; } }
    }
}
