﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MessageWorkflow.Handler;

namespace MessageWorkflow
{
    public class HandlerUnsubscribedEventArgs : EventArgs
    {
        public HandlerUnsubscribedEventArgs(IWorkflowHandler handler)
        {
            if (handler == null)
                throw new ArgumentNullException("handler");

            this.Handler = handler;
        }

        public IWorkflowHandler Handler { get; protected set; }
    }
}
